package com.uas.account.service;

import java.util.List;

import com.uas.account.entity.App;
import com.uas.account.viewmodel.AppUseView;
import com.uas.account.viewmodel.AppView;

public interface AppService {

	App save(App app);

	App findOne(String uid);

	/**
	 * 返回应用的ID集合
	 * 
	 * @return
	 */
	List<String> findAllIDs();

	/**
	 * 返回指定用户已注册的应用的ID集合
	 * 
	 * @return
	 */
	List<String> findAllIDsByUser(long userId);

	/**
	 * 查找全部
	 * 
	 * @return
	 */
	List<App> findAll();

	/**
	 * 查找全部（简化视图1）
	 * 
	 * @return
	 */
	List<AppView> findAllView();

	/**
	 * 查找全部可注册应用（简化视图2）
	 * 
	 * @return
	 */
	List<AppUseView> findAllPublicUseView();

	/**
	 * 删除
	 * 
	 * @param uid
	 */
	void delete(String uid);

}
